Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jcl
Class Log4jLog

    java.lang.Object
      org.apache.logging.log4j.jcl.Log4jLog

All Implemented Interfaces:
  Serializable, org.apache.commons.logging.Log

    public class Log4jLog

extends Object
implements org.apache.commons.logging.Log, Serializable

See Also:
  Serialized Form

Constructor Summary
`Log4jLog(org.apache.logging.log4j.spi.ExtendedLogger logger)`

Method Summary
`void` | `debug(Object message)`
`void` | `debug(Object message, Throwable t)`
`void` | `error(Object message)`
`void` | `error(Object message, Throwable t)`
`void` | `fatal(Object message)`
`void` | `fatal(Object message, Throwable t)`
`void` | `info(Object message)`
`void` | `info(Object message, Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(Object message)`
`void` | `trace(Object message, Throwable t)`
`void` | `warn(Object message)`
`void` | `warn(Object message, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jLog

    public Log4jLog(org.apache.logging.log4j.spi.ExtendedLogger logger)

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.apache.commons.logging.Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `org.apache.commons.logging.Log`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `org.apache.commons.logging.Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.apache.commons.logging.Log`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `org.apache.commons.logging.Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(Object message)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(Object message,
                      Throwable t)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### debug

    public void debug(Object message)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### debug

    public void debug(Object message,
                      Throwable t)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### info

    public void info(Object message)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### info

    public void info(Object message,
                     Throwable t)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(Object message)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(Object message,
                     Throwable t)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

### error

    public void error(Object message)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### error

    public void error(Object message,
                      Throwable t)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(Object message)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.